import 'package:flutter/material.dart';
import 'package:healthrian_common_support/healthrian_common_support.dart';
import 'package:healthrian_visualization_support/healthrian_visualization_support.dart';

///
class EachChannel extends StatelessWidget {
  ///
  const EachChannel({
    super.key,
    required int index,
    required CommonState commonState,
  })  : _index = index,
        _commonState = commonState;

  final CommonState _commonState;
  final int _index;

  @override
  Widget build(BuildContext context) {
    print('build()');
    return SizedBox(
      width: 800,
      height: 100,
      child: Channel(
        ecgSequence: _commonState.l1,
      ),
    );
  }
}
